http://apigateway.{region}.amazonaws.com/restapis/{restapi_id}/modelsAdds a new Model resource to an existing RestApi resource.
The RestApi identifier under which the Model will be created.
The name of the model. Must be alphanumeric.
The schema for the model. For <code>application/json</code> models, this should be JSON schema draft 4 model.
The content-type for the model.
The description of the model.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://apigateway.{region}.amazonaws.com/restapis/{restapi_id}/models' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://apigateway.{region}.amazonaws.com/restapis/{restapi_id}/modelsAdds a new Model resource to an existing RestApi resource.
The RestApi identifier under which the Model will be created.
The name of the model. Must be alphanumeric.
The schema for the model. For <code>application/json</code> models, this should be JSON schema draft 4 model.
The content-type for the model.
The description of the model.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://apigateway.{region}.amazonaws.com/restapis/{restapi_id}/models' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}